Subject: Lopez Velarde, Heftye, Abogodos, S.C. Invoice #0652 (vendor # 5500007326)
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 23 Oct 2001 12:46:41 -0700 (PDT)

Ladies and Gentlemen:  The subject invoice was sent to Accts. Payable at Enron on Oct. 10.  I received a call on Oct. 16 from somebody in Accts. Payable asking for clarification re the payee, which I provided.  Since then the invoice has not appeared in ipayit.  I called the help desk today at x54727 and the woman I spoke with said that since there was nothing in "the system" with the invoice number in it, there was no way to check the status of my payment request. I was told that the only way to ensure payment was to send it to A/P again.  The woman I spoke with suggested I prepare an emergency payment request, if that was necessary.  I will now do this, since I have no faith in the system as you've set it up.  

Is there a way you could cross-reference these items or find a way to keep these bills from getting lost?  It's very frustrating to have to keep re-sending invoices for payment when there seems to be no accountability for items that disappear into "the system."    I

Another problem that I encountered with ipayit with another invoice for this vendor occurred just last month.  What happened was that even though I'd marked the invoice for special handling when I coded it in ipayit, it was not sent to me but instead went out in the U.S. mail from New York.  I was upset to learn that there seemed to be no way of finding out if the check, which was addressed to an incomplete address in Mexico City, Mexico, even had enough postage on it for a foreign address or whether it had been returned to sender.  They couldn't even tell me what the return address was that would have appeared on the envelope so I could see if the check had been returned before Enron cancelled it and asked for it to be re-issued.  What was even more interesting to me was that the person at the help desk didn't even seem to care what the address was or whether or not there was a system in place to retrieve returned checks so that the client could make sure they were properly forwarded to the payee.    

What frustrates me is the total lack of accountability with your current set-up.  There is no way to follow-up on requests.  The burden is solely on the bill sender, with people on the paying end simply stating that we should "run it through again" with no guarantee that the invoice will be processed a second time, either.  In my case, if I'd known how important it was and that the burden of proof would be on me to get my invoice processed, I'd have written down the name of the person I spoke with in A/P (though I'm not sure that they even gave it to me nor that it would help me to know that now in any case) that called me on Oct. 16.  Since I did not, I have no recourse, since "the system" doesn't show my invoice as having been received.

I'm certain that it is Enron's policy to pay bills on time.  Why do you set up systems that make our job so difficult and force us to follow-up on so many routine requests?  I'd prefer to not have to do an urgent payment request for all the bills that I'm responsible for paying, but it seems that's the only way to make sure many invoices are paid.

Please let me know what solutions we can expect for problems such as this.  

Mary C. Ogden
Legal Specialist
Enron Wholesale Services/Enron Americas/Legal
Phone:  713-853-7796
Fax:  713-646-3490
[email-masked]